[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

patches from pkgsrc - patch-aa

From: Greg Troxel
Subject: patches from pkgsrc - patch-aa
Date: Fri, 15 Feb 2008 20:49:14 -0500
User-agent: Gnus/5.110007 (No Gnus v0.7) Emacs/22.1 (berkeley-unix)

These patches (this and more to follow) are all against guile 1.8.3.

$NetBSD: patch-aa,v 1.11 2007/07/20 00:09:22 gdt Exp $

Use a pointer, instead of an array, to avoid an error on Darwin.
Patch from DarwinPorts.

--- libguile/guile.c.orig       2007-05-09 16:22:03.000000000 -0400
+++ libguile/guile.c
@@ -68,7 +68,7 @@ main (int argc, char **argv)
 #if !defined (__MINGW32__)
   /* libtool automagically inserts this variable into your executable... */
-  extern const lt_dlsymlist lt_preloaded_symbols[];
+  extern const lt_dlsymlist *lt_preloaded_symbols;
   lt_dlpreload_default (lt_preloaded_symbols);
   scm_boot_guile (argc, argv, inner_main, 0);

reply via email to

[Prev in Thread] Current Thread [Next in Thread]